diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js
index 8d3cff026..f530212cf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js
@@ -467,6 +467,11 @@ export default class TriggerSchema extends BaseUISchema {
         _.isUndefined(tfunction) ||
           tfunction !== 'Inline EDB-SPL');
       },
+      depChange: (state) => {
+        if (state.tfunction == null) {
+          return { prosrc: '' };
+        }
+      }
     },{
       id: 'is_sys_trigger', label: gettext('System trigger?'), cell: 'text',
       type: 'switch', disabled: obj.inSchemaWithModelCheck, mode: ['properties'],
diff --git a/web/pgadmin/static/js/components/CodeMirror.jsx b/web/pgadmin/static/js/components/CodeMirror.jsx
index d96fdf96a..9fd2eafe6 100644
--- a/web/pgadmin/static/js/components/CodeMirror.jsx
+++ b/web/pgadmin/static/js/components/CodeMirror.jsx
@@ -479,6 +479,7 @@ export default function CodeMirror({currEditor, name, value, options, events, re
         editor.current.setOption('readOnly', false);
         editor.current.removeKeyMap('Tab');
         editor.current.removeKeyMap('Shift-Tab');
+        cmWrapper.current.classList.remove(classes.hideCursor);
       }
     }
   }, [readonly, disabled]);
